package com.evobms.project.system.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.evobms.project.system.domain.BmsDevices;

/**
 * BBOX管理Mapper接口
 *
 * @author 田志阳
 * @date 2025-10-10
 */
public interface BmsDevicesMapper extends BaseMapper<BmsDevices> {
    /**
     * 查询BBOX管理
     *
     * @param id BBOX管理主键
     * @return BBOX管理
     */
    public BmsDevices selectBmsDevicesById(String id);

    /**
     * 查询BBOX管理列表
     *
     * @param bmsDevices BBOX管理
     * @return BBOX管理集合
     */
    public List<BmsDevices> selectBmsDevicesList(BmsDevices bmsDevices);

    /**
     * 新增BBOX管理
     *
     * @param bmsDevices BBOX管理
     * @return 结果
     */
    public int insertBmsDevices(BmsDevices bmsDevices);

    /**
     * 修改BBOX管理
     *
     * @param bmsDevices BBOX管理
     * @return 结果
     */
    public int updateBmsDevices(BmsDevices bmsDevices);

    /**
     * 删除BBOX管理
     *
     * @param id BBOX管理主键
     * @return 结果
     */
    public int deleteBmsDevicesById(String id);

    /**
     * 批量删除BBOX管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsDevicesByIds(String[] ids);
}
